Summary:	FreeBoB - free driver implementation for the BeBoB platform
Summary(pl.UTF-8):	FreeBoB - wolnodostępna implementacja sterowników dla platformy BeBoB
Name:		libfreebob
Version:	1.0.11
Release:	7
License:	GPL v2+
Group:		Libraries
Source0:	http://dl.sourceforge.net/freebob/%{name}-%{version}.tar.gz
# Source0-md5:	e49eed0084b9e793e7a0713aa99c196c
Patch0:		%{name}-gcc43.patch
Patch1:		%{name}-gcc46.patch
Patch2:		%{name}-gcc49.patch
URL:		http://freebob.sourceforge.net/
BuildRequires:	alsa-lib-devel >= 1.0.0
BuildRequires:	libavc1394-devel >= 0.5.3
BuildRequires:	libiec61883-devel >= 1.1.0
BuildRequires:	libraw1394-devel >= 1.2.1
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel >= 2.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This project aims to provide a free driver implemenation for the BeBoB
platform. The BeBoB is used in many available IEEE 1394 based
break-out boxes.

%description -l pl.UTF-8
Celem tego projektu jest zapewnienie wolnodostępnej implementacji
sterowników dla platformy BeBoB. BeBoB jest używana w wielu dostępnych
"break-out boksach" opartych na IEEE 1394.

%package devel
Summary:	Header files for FreeBoB library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FreeBoB
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libavc1394-devel >= 0.5.3
Requires:	libiec61883-devel >= 1.1.0
Requires:	libraw1394-devel >= 1.2.1
Requires:	libstdc++-devel
Requires:	libxml2-devel >= 2.6.0

%description devel
Header files for FreeBoB library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki FreeBoB.

%package static
Summary:	Static FreeBoB library
Summary(pl.UTF-8):	Statyczna biblioteka FreeBoB
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FreeBoB library.

%description static -l pl.UTF-8
Statyczna biblioteka FreeBoB.

%prep
%setup -q
%patch -P0 -p1
%patch -P1 -p1
%patch -P2 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libfreebob.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libfreebob.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfreebob.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfreebob.so
%{_includedir}/libfreebob
%{_pkgconfigdir}/libfreebob.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libfreebob.a
%changelog
* Tue Jul 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libfreebob.git;a=log;h=master

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> a840bc3
- Release 7 (by relup.sh)

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 7215c91
- Fix applying patches.

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> a220e8b
- x32 rebuild
- release 6 (by relup.sh)

* Sun Jan 04 2015 Jan Rękorajski <baggins@pld-linux.org> d2aab5b
- yet another gcc build fix

* Mon Apr 18 2011 Jan Rękorajski <baggins@pld-linux.org> 1f701a9
- rel 5

* Mon Apr 18 2011 Jan Rękorajski <baggins@pld-linux.org> 4cc5906
- another gcc build fixes
- remove libtool file

* Mon Apr 18 2011 Jan Rękorajski <baggins@pld-linux.org> 628f391
- rel 4

* Mon Aug 10 2009 tommat <tommat@pld-linux.org> 6ad2a50
- now builds with gcc 4.4.1

* Sun Aug 24 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e80bd7
- release 3

* Sat Jul 12 2008 Marcin Banasiak <marcin.banasiak@gmail.com> a29fe06
- added -gcc43.patch
- release 2

* Sat Jul 12 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 2672426
- fix build on gcc 4.3

* Sat Jul 12 2008 Jakub Bogusz <qboosh@pld-linux.org> 42c50aa
- updated to 1.0.11

* Mon Nov 26 2007 Szymon Siwek <sls@pld-linux.org> 6a764dc
- ver. 1.0.3

* Thu Feb 15 2007 qrczak <qrczak@pld-linux.org> 7b3f310
- Source0-md5 was wrong, I wonder why.

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0965324
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ca1a8a5
- converted to UTF-8

* Tue Oct 10 2006 Jakub Bogusz <qboosh@pld-linux.org> aa968fa
- new

